Get screenings
curl --request GET \
--url https://api.maalbar.dk/v1/screenings \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "screening_xxxxxxxxxxxx",
"product": {
"publicId": "product_xxxxxxxxxxxx",
"name": "<string>",
"ean": "<string>",
"sku": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"totalWeight": 123,
"notes": "<string>",
"publication": {
"publishedAt": "2023-11-07T05:31:56Z",
"note": "<string>"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}Screenings
Get screenings
Get all screenings for the current customer. Paginated with defaults page=1, pageSize=50
GET
/
screenings
Get screenings
curl --request GET \
--url https://api.maalbar.dk/v1/screenings \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/screenings';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"publicId": "screening_xxxxxxxxxxxx",
"product": {
"publicId": "product_xxxxxxxxxxxx",
"name": "<string>",
"ean": "<string>",
"sku": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"totalWeight": 123,
"notes": "<string>",
"publication": {
"publishedAt": "2023-11-07T05:31:56Z",
"note": "<string>"
}
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalCount": 123,
"totalPages": 123
}
}{
"error": "Invalid request parameters"
}{
"error": "Authentication required"
}{
"error": "Resource not found"
}{
"error": "An unexpected error occurred"
}